extends Control
class_name LogPanel

func _ready():
	$RichTextLabel.text = ""

func on_new_line(text):
	show()
	$RichTextLabel.text += text + '\n'
	yield($TextButton, "pressed")

func clear():
	$RichTextLabel.text = ''
